Monitoring Data & Reports

Product documentation and guides.

Monitoring Data

Get Uptime Stats

GET /api/websites/:websitePublicId/uptime-stats Returns uptime percentages and average response times (day/month/year).

Get Check History

GET /api/websites/:websitePublicId/check-history Returns the latest monitoring checks for a website.

Get Incident History

GET /api/websites/:websitePublicId/incident-history Returns incidents for a website (latest 100).

Get Alert History

GET /api/websites/:websitePublicId/alert-history Returns notification/escalation attempts for incidents of a website.

Get Monitoring Data

GET /api/websites/:websitePublicId/monitoring-data?range=day|week|month|year Returns aggregated time series data used for charts.

Get Incident Details

GET /api/incidents/:incidentPublicId Returns details of a specific incident.

List Incidents (Organization)

GET /api/incidents?organizationId=:organizationId Lists incidents for an organization (scoped by your permissions).

Reports

Download PDF Report

GET /api/websites/:websitePublicId/report.pdf?period=last-week|last-month|last-quarter&startDate=YYYY-MM-DD&endDate=YYYY-MM-DD Downloads a generated PDF report for a website.

Endpoints